#
# Conditional build:
%bcond_with	tests	# perform "make test" (one test fails)
#
%define		pdir	IPC
%define		pnam	Run
Summary:	IPC::Run - system() and background procs w/ piping, redirs, ptys
Summary(pl.UTF-8):	IPC::Run - uruchamianie procesów z potokami, przekierowaniami i pseudoterminalami
Name:		perl-IPC-Run
Version:	0.90
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fda6bbd9d5e4e738a02230923a41125b
URL:		http://search.cpan.org/dist/IPC-Run/
BuildRequires:	perl-IO-Tty >= 1.08
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%description -l pl.UTF-8
IPC::Run pozwala na uruchamianie i interakcję z procesami potomnymi
przy użyciu plików, potoków, i pseudoterminali. Obsługuje zarówno
interfejs w stylu system(), jak i skryptowy; można także je mieszać.
Można stosować API obiektowe i/lub proceduralne.

Udostępniane są różne operatory przekierowania, podobne do spotykanych
w linii poleceń popularnych Uniksów i DOS-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/IPC/Run.pm
%dir %{perl_vendorlib}/IPC/Run
%{perl_vendorlib}/IPC/Run/*.pm
%{_mandir}/man3/IPC::Run*.3pm*
%changelog
* Tue Apr 30 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-IPC-Run.git;a=log;h=3f3f2577a4eaf3daab2bd6a808c572868f855c4b

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3f3f257
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 75b17eb
- unified Source URL
- added tests BR

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> fc8e964
- up to 0.90

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> e751768
- unified URL and License information, dropped obsolete noautoreq workaround

* Tue Sep 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a7ea86
- up to 0.89

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 74fbb96
- updated to 0.84

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> a73dc7c
- generic URL

* Mon Mar 26 2007 radek <radek@pld-linux.org> d62b584
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0f727fe
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5af5b60
- converted to UTF-8

* Mon Jun 26 2006 maciek2w <maciek2w@pld-linux.org> 02c90cb
- updated 0.80

* Wed May 18 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 9459e21
- updated to 0.79

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 85f7625
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> f308da0
- fixed perl-devel BR

* Sun Mar 14 2004 Adam Gołębiowski <adamg@pld-linux.org> 3b65a79
- updated to 0.78

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 8526786
- updated to 0.77, added tests (disabled - one of them fails)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> fb1eaa1
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 59165da
- fixed changelog trailer

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 59d8731
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 80c9855
- massive attack: source-md5

